# Cancel full authorization

If you don't want to proceed with a payment, you can send a full cancel request.
**Note:** You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.

Endpoint: POST /payments/authorizations/cancellations/{linkData}
Version: 7
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Content-Type` (string, required)

  - `Accept` (string, required)

## Request fields (application/vnd.worldpay.payments-v7+json):

  - `reference` (string)
    A reference generated by you to identify a payment throughout its lifecycle.
    Example: full-cancellation-reference

## Response 202:

  - `202` (unknown)
    The cancellation request has been accepted

## Response 202 fields (application/vnd.worldpay.payments-v7+json):

  - `_links` (object)

  - `_links.cardPayments:events` (object)
    An action link to retrieve the last event of the payment.

  - `_links.cardPayments:events.href` (string)
    An action link to retrieve the last event of the payment.
    Example: https://try.access.worldpay-bsh.securedataplatform.co.uk/payments/events/{linkData}

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415:

  - `415` (unknown)
    Unsupported media type

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 202 examples:

  - `Response to cancel an authorization` (unknown)
    Response to cancel an authorization

## Response 400 examples:

  - `Bad request` (unknown)
    Bad request

## Response 401 examples:

  - `unauthorized` (unknown)
    Unauthorized

## Response 404 examples:

  - `notFound` (unknown)
    Not found

## Response 415 examples:

  - `unsupported` (unknown)
    Unsupported media type

